$(document).ready(function(){
    var xmlDoc;

    if($(".infografico").length){
        $.get("info.xml", function (doc){
            xmlDoc = doc;
            firstStep();
        });
    }

    function firstStep() {
        configuration = getConfiguration();
        stepOne = configuration[0].getElementsByTagName('start-node')[0].id;

        $('#btn-home').data('step', stepOne);
        executeStep( findStep(stepOne),0 );
    }

    function getConfiguration() {
        return xmlDoc.getElementsByTagName('configuration');
    }

    function findStep(id){
        nodeDecision = xmlDoc.getElementsByTagName('node-decisions');
        nodeChild = nodeDecision[0].getElementsByTagName('node-decision');

        bFound = false;
        iCount = 0;
        for (iCount = 0; iCount < nodeChild.length; iCount++) {
            nodeElement = nodeChild[iCount];
            if (nodeElement.id == id)
                break;
        }
        return nodeChild[iCount];
    }

    function removebtns(div, numBtns){
        for(i=0; i<numBtns; i++){
            div.removeChild(document.getElementById("info-btn"+i));
        }
    }

    function addBtns(div, btns, numBtns){

        for(i=0; i<numBtns; i++){
            var aTag = document.createElement('a');
            aTag.id="info-btn"+i;
            aTag.setAttribute('href',"#");
            
            aTag.innerHTML = btns[i].textContent;
            aTag.className="btn btn-control";
            div.appendChild(aTag);
        }
    }


    function linkButtons(states, numStates){
        
        for(var i=0; i<numStates; i++){
            
            $('#info-btn'+i).data('step', states[i].id).removeClass('disabled');
            
            $('#info-btn'+i).click(function() {
                console.log("button " + i);
                executeStep(findStep($(this).data('step')),numStates);
            });
        }
        $('#btn-home').click(function() {
            console.log("home");
            executeStep(findStep($(this).data('step')),numStates);
        });
    }


    function sendState(component){
        var currentState = component.getAttribute("data-step");
        executeStep(findStep(currentState),numStates);
        // console.log(currentState);
        
        var currentId = component.getAttribute("id");
        ids.push(currentId);
        localStorage.setItem("ids", ids);
    }

    function executeStep(xmlDocStep, pastStates) {
        var div = document.getElementById('controls');
        states = xmlDocStep.getElementsByTagName('state');
        numStates=states.length;
        
        removebtns(div,pastStates);
        addBtns(div, states, numStates);
        linkButtons(states, numStates);


        elements = xmlDocStep.getElementsByTagName('elements');
        
        canvas = elements[0].getElementsByTagName('canvas');
        

        _canvas = '<div class="canvas">'+canvas[0].childNodes[0].nodeValue+'</div>';
        //_canvas = "<div class='canvas'><p><strong>TESTE</strong></p></div>";
        console.log(_canvas);

        $('.canvas').remove();
        $(_canvas).prependTo(".infografico");  
      
        //Alter Image
        // image = elements[0].getElementsByTagName('image');

        // $('.col-img img').attr('src', image[0].childNodes[0].nodeValue);
        //Alter Image - End

        //Alter Text
        // text = elements[0].getElementsByTagName('text');
        // title = text[0].getElementsByTagName('title');

        // $('.col-apresentation .title').html(title[0].childNodes[0].nodeValue);

        // subtitle = text[0].getElementsByTagName('subtitle');
        // $('.col-apresentation .description').html(subtitle[0].childNodes[0].nodeValue);

        //Alter Text - End

        //Control
        controls = elements[0].getElementsByTagName('controls');
        link = controls[0].getElementsByTagName('link');
        console.log("fim");
    }
});

  

    
